[DRE-commits] [ruby-mysql2] 01/01: Always shutdown mysqld, even if build fails

zeha at debian.org zeha at debian.org
Fri Apr 10 14:26:09 UTC 2015


This is an automated email from the git hooks/post-receive script.

zeha pushed a commit to branch master
in repository ruby-mysql2.

commit 61ddf5f5eb8048d6907a7311ec97292621f77107
Author: Christian Hofstaedtler <zeha at debian.org>
Date:   Fri Apr 10 16:16:37 2015 +0200

    Always shutdown mysqld, even if build fails
---
 debian/start_mysqld_and_auto_install.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/debian/start_mysqld_and_auto_install.sh b/debian/start_mysqld_and_auto_install.sh
index c51947f..2f37bee 100755
--- a/debian/start_mysqld_and_auto_install.sh
+++ b/debian/start_mysqld_and_auto_install.sh
@@ -32,10 +32,13 @@ done
 mysql --socket=${MYSQL_UNIX_PORT} --execute "CREATE DATABASE ${DO_MYSQL_DBNAME};"
 mysql --socket=${MYSQL_UNIX_PORT} --execute "GRANT ALL PRIVILEGES ON ${DO_MYSQL_DBNAME}.* TO '${DO_MYSQL_USER}'@'localhost' IDENTIFIED BY '${DO_MYSQL_PASS}';"
 
+# Keep running so we can terminate mysqld
+set +e
 
 dh_auto_install
+RC=$?
 
 /usr/bin/mysqladmin --socket=${MYSQL_UNIX_PORT} shutdown
 rm -rf ${MYTEMP_DIR}
 
-
+exit $RC

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/ruby-mysql2.git



More information about the Pkg-ruby-extras-commits mailing list